net.sourceforge.pmd.lang.jsp.ast

## Class OpenTagRegisterTest

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.OpenTagRegisterTest

    public class OpenTagRegisterTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OpenTagRegisterTest()`

### Method Summary

Methods
`void` `doubleNesting()`
`void` `interleavedTags()` <x> </z> </x>
`void` `newRegister()`
`void` `openedIsolatedTag()` <x> </z> </x>
`void` `testSimpleNesting()`
`void` `unopenedTags()` <x> </x> </x>

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTagRegisterTest

    public OpenTagRegisterTest()

### Method Detail

#### newRegister

    public void newRegister()

#### testSimpleNesting

    public void testSimpleNesting()

#### doubleNesting

    public void doubleNesting()

#### unopenedTags

    public void unopenedTags()

<x> </x> </x>

#### interleavedTags

    public void interleavedTags()

<x> </z> </x>

#### openedIsolatedTag

    public void openedIsolatedTag()

<x> </z> </x>